We help IT Professionals succeed at work.

We've partnered with Certified Experts, Carl Webster and Richard Faulkner, to bring you two Citrix podcasts. Learn about 2020 trends and get answers to your biggest Citrix questions!Listen Now

x

Citrix Pres 4.5  - Hotfix Rollup pack 3 - Lincense server no longer works

Medium Priority
1,787 Views
Last Modified: 2013-11-11
Hi All

Im running Citrix Presentation 4.5 on 2003 R2 x86 platform. I have recently been getting errors when useres trying to connect to published desktops saying there were no citrix licenses available. Firstly i locked at the license server, there were plenty left. I then looked at the log file. I get lots of the followiing:

5:59:21 (CITRIX) DENIED: "MPS_ADV_CCU" MPS@SERVERl  [9E6A5F96] (Licensed number of users already reached. (-4,342))
16:01:50 (CITRIX) DENIED: "MPS_ADV_CCU" MPS@SERVER  [B3C4CB71] (Licensed number of users already reached. (-4,342))
16:02:38 (CITRIX) DENIED: "MPS_ADV_CCU" MPS@SERVERl  [EE7783FC] (Licensed number of users already reached. (-4,342))
16:02:59 (CITRIX) DENIED: "MPS_ADV_CCU" MPS@SERVER  [EE7783FC] (Licensed number of users already reached. (-4,342))
16:03:06 (CITRIX) DENIED: "MPS_ADV_CCU" MPS@SERVERl  [B3C4CB71] (Licensed number of users already reached. (-4,342))
16:03:17 (CITRIX) DENIED: "MPS_ADV_CCU" MPS@SERVER  [B3C4CB71] (Licensed number of users already reached. (-4,342))

After looking through the Citrix forums it looks like there maybe a issue with Citrix leaking Licenses which sounds a little flakey to me. I read that if i installed the newest Hot fix, whick Rollup pack 3 it will fix the problem.

I did this on my test server, and im glad i did as it broke it. It apprears that your Lincense server needs to be V11.5 and mine is 11.3. This then meant the Citrix server didnt work at all.


1) Any one seen this issue before?
2) Does anyone know how to update the license server, and if so will this effect existing server in the farm>?






Comment
Watch Question

Carl WebsterCitrix Technology Professional - Fellow
CERTIFIED EXPERT
Most Valuable Expert 2019
Top Expert 2010

Commented:
It appears you didn't read the readme file!  Yes, your license server must be at 11.5 BEFORE installing HRP03 and you also need the Microsoft C++ Redistributable package.

This is from anarticle I wrote (http://carlwebster.com/blogs/webster/archive/2008/12/12/Learning-the-Basics-of-XenApp-5-Part-5-of-7.aspx):

It is extremely important that you ALWAYS read the documentation that comes with Citrix product and Component updates.  You will see a note that "your Citrix License Server must be at version 11.5 to install this hotfix rollup pack".  Missing this prerequisite would cause you a lot of grief if your server had stopped working when you applied HRP03 BEFORE upgrading your license server.  There is also a note that "the Microsoft Visual C++ 2005 SP1 Redistributable Package (x86) must be installed on all servers before installing this hotfix rollup pack".  Please notice this says "...on ALL servers BEFORE installing...".  This means this Visual C++ package MUST be installed on ALL of your XenApp servers BEFORE you install HRP03 on the FIRST XenApp server.

Let me stress again - IT IS EXTREMELY IMPORTANT that you read ALL the documentation that comes with ALL Citrix Product and Component updates.  Failure to do so can have disastrous consequences for your production XenApp Farm and Data Store.

Author

Commented:
Thanks Carl, i take this on board. I had already installed the C++ update.

I installed the update on a spare Citrix server so no harm done. The reason i did this was to fix the license issue that i am receiving. Is it possible to upgrade the License server version and if so i understand that this will have to be done on all servers, correct?
Carl WebsterCitrix Technology Professional - Fellow
CERTIFIED EXPERT
Most Valuable Expert 2019
Top Expert 2010

Commented:
How many license servers do you have?  You only need to upgrade your one license server.  It is very easy to do and covered in the article.

Author

Commented:
I have 1 license server. I was a bit confused with your article as i wanted sure whether it was a procedure to upgrade to Xenapp 5?

I will upgrade the license server, but does this mean all server s in my farm have to be upgraded with Rollup pack 3 in order to communicate with the license server ?
Carl WebsterCitrix Technology Professional - Fellow
CERTIFIED EXPERT
Most Valuable Expert 2019
Top Expert 2010

Commented:
No all server do not need to be on HRP03 but Citrix advices that all servers in a Farm be on the same update level.

There is no difference between XenApp 5 for Server 2003 and Presentation Server 4.5.
Commented:
All you need to do is download Citrix License Server from
http://www.citrix.com/site/SS/downloads/results.asp?productID=1679389

Run install and it will upgrade your license server version - same license file will still work...

Not the solution you were looking for? Getting a personalized solution is easy.

Ask the Experts

Author

Commented:
Thanks for your input Jigans,

If i upgrade the license server, does this mean all servers not installed with Rollup pack 3 will still communicate with the license server ?
Citrix Technology Professional - Fellow
CERTIFIED EXPERT
Most Valuable Expert 2019
Top Expert 2010
Commented:
Yes, the Version 11.5 License Server will work with XenApp 4.0, 4.5 and 5.0

Commented:
Matt - that is correct it will work.

Access more of Experts Exchange with a free account
Thanks for using Experts Exchange.

Create a free account to continue.

Limited access with a free account allows you to:

  • View three pieces of content (articles, solutions, posts, and videos)
  • Ask the experts questions (counted toward content limit)
  • Customize your dashboard and profile

*This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.

OR

Please enter a first name

Please enter a last name

8+ characters (letters, numbers, and a symbol)

By clicking, you agree to the Terms of Use and Privacy Policy.